<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Subjects extends Controller_UserEnvi {


    
    public function action_upload()
    {
        if(!empty($_FILES['subjects']) AND $this->request->method() == 'POST')
        {
            $result = $this->parseFile($_FILES["subjects"]["tmp_name"]);
        }
        // VIEW
        $twig = Twig::factory('admin/subjects/upload');
        $twig->Faculties = $this->getFaculties();
        $twig->UploadingResult = $result;
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }


    protected function parseFile($filename)
    {
        return FileParser::SubjectsList($filename, $_POST['facultyID']);
    }

    public function getFaculties() {
        $model = new Model_Admin_Students();
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['FacultyID'];
            $facultiesHandled[$i]['Name'] = $row['FacultyName'];
            $facultiesHandled[$i]['Abbr'] = $row['FacultyAbbr'];
        }
        return $facultiesHandled;
    }
      
}
            