<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Teacher_Profile extends Controller_UserEnvi {
    public function action_edit()
    {
        $twig = Twig::factory('profile/settings');
        $twig->JobPositions = $this->getJobPositions();
        $twig->Faculties = $this->getFaculties();
        $twig->Departments = DataArray::factory('Departments')->byFaculty($this->UserInfo['FacultyID'])->asArray();
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function getFaculties()
    {
        $model = new Model_Admin_Teachers;
        $faculties = $model->getFaculties();
        $facultiesHandled = array(); $i = 0;
        foreach($faculties as $row)
        {
            $i++;
            $facultiesHandled[$i]['ID'] = $row['ID'];
            $facultiesHandled[$i]['Name'] = $row['Name'];
            $facultiesHandled[$i]['Abbr'] = $row['Abbr'];
        }
        return $facultiesHandled;
    }
    
    public function getJobPositions()
    {
        $model = new Model_Admin_Teachers;
        $jobPositions = $model->getJobPositions();
        $jobPositionsHandled = array(); $i = 0;
        foreach($jobPositions as $row)
        {
            $i++;
            $jobPositionsHandled[$i]['ID'] = $row['ID'];
            $jobPositionsHandled[$i]['Name'] = $row['Name'];
            // $jobPositionsHandled[$i]['Abbr'] = $row['Abbr'];
        }
        return $jobPositionsHandled;
    }    
}
            