<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_ErrMessages extends Controller_Handler {
		
        public function before() {
            $this->model = new Model_errMessages;
            $this->setAccessLevel(self::ACCESS_USER);
            parent::before();
        }
        
        public function action_getRequests() {
			$data = $this->model->getRequests($this->user['AccID']);

            $i =0;
            $res = array();
            foreach ($data as $row) 
            {
                $res[$i] = $row;
                ++$i;
            }       
            $res['num'] = --$i;     

			$this->response->body(json_encode($res)); 
        }

        public function action_createRequest() {
         	$title = $_POST['title'];
         	$text = $_POST['text'];
            $result = $this->model->newRequest($this->user['AccID'], $title, $text);

            if ($result[0]['Num'] > 0) {
                $to = "it.lab.mmcs@gmail.com";
                $subject =  "Request ".$result[0]['Num'].": rating system report"; 
                
                $message =  "Faculty: ".$this->user['FacultyName']."\n";
                $message .= "Type: ".$this->user['AccType']."\n";
                $message .= "Sender: ".$this->user['Last'].' '.$this->user['First'].' '.$this->user['Second']."\n\n";
                $message .= "Title: ".$title."\n";
                $message .= "Message: ".$text;

                $headers =  "From: RatingSystem@no-reply.mmcs.sfedu.ru\n";
                $headers .= "Reply-To: ".$this->user['AccEMail'];

                $data['success'] = true;
                mail($to, $subject, $message, $headers);
            }
            else
                $data['success'] = false;
            
            $this->response->body(json_encode($data));
	    }
}
