<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_UserEnvi extends Controller {
    protected $UserInfo;
    
    public function before()
    {
        if(!User::instance()->isSignedIn())
        {
            $this->redirect('sign', 302);
        }
        else 
        {
            
            // Проверка на 
            $this->UserInfo = User::instance()->getInfoAsArray();
            if($this->UserInfo['Type'] == 'student')
            {
                $degrees = array('bachelor' => 'Бакалавриат', 'specialist' => 'Специалитет', 'master' => 'Магистратура');
                $this->UserInfo['Degree'] = $degrees[$this->UserInfo['Degree']];
            }
            // Проверка на доступ к странице
            $route = Route::name($this->request->route());
            $userMark = User::instance()->offsetGet('RoleMark');
            $sysModel = new Model_System;
            $bitmask = $sysModel->getBitmaskForRoute($route);
            if(!($bitmask & $userMark))
            {
                throw HTTP_Exception::factory(403, 'Не пытайтесь попасть туда, куда попадать не следует.');
            }
        }
    }
    
    public function action_index()
    {
        $page = Request::factory($this->UserInfo['Type'].'/index')->execute();
        $this->response->body($page);
    }
    
    public function action_profile()
    {
        if($this->UserInfo['Type'] != 'teacher')
        {
            $this->redirect('/', 302);
        }
        else
        {
            $url = "teacher/profile";
            if(!empty($type))
                $url .= '/'.$type;
            if(!empty($id))
                $url .= '/'.$id;
            $page = Request::factory($url)->execute();
            $this->response->body($page);
        }
    }
	
    public function action_settings()
    {
        $page = Request::factory($this->UserInfo['Type'].'/settings')->execute();
        $this->response->body($page);
    }
}
