<?php defined('SYSPATH') or die('No direct script access.');
  
class Model_Teacher_Map extends Model
{


    public function getStudentsForDiscipline($teacherID, $disciplineID)
    {
        $sql = "CALL `getStudentsForDiscipline`('$teacherID', '$disciplineID'); ";
        return DB::query(Database::SELECT, $sql)->execute();
    }


    public function addModuleBonus($teacherID, $disciplineID)
    {
        $sql = "SELECT `AddModuleBonus`('$teacherID', '$disciplineID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	
    public function deleteModuleBonus($teacherID, $disciplineID)
    {
        $sql = "SELECT `DeleteModuleBonus`('$teacherID', '$disciplineID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    } 
	
    public function addModule($teacherID, $disciplineID, $title)
    {
        $sql = "SELECT `AddModule`('$teacherID', '$disciplineID', '$title') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }    
    
    public function deleteModule($teacherID, $moduleID)
    {
		$sql = "SELECT `DeleteModule`('$teacherID', '$moduleID') AS `Num`;";
		return DB::query(Database::SELECT, $sql)->execute();
    }

    public function DelegateDiscipline($teacherID, $NewAuthorID, $DisciplineID)
    {
        $sql = "SELECT `DelegateDiscipline`('$teacherID', '$NewAuthorID', '$DisciplineID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	
    public function changeModuleName($teacherID, $moduleID, $Name)
    {
        $sql = "SELECT `ChangeModuleName`('$teacherID', '$moduleID', '$Name') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	
    public function addSubmodule($teacherID, $moduleID, $maxRate, $title, $description, $typeControl)
    {
        $sql = "SELECT `AddSubmodule`('$teacherID', '$moduleID', '$maxRate', '$title', '$description', '$typeControl') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	
    public function deleteSubmodule($teacherID, $submoduleID)
    {
        $sql = "SELECT `DeleteSubmodule`('$teacherID', '$submoduleID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	
    public function changeSubmoduleName($teacherID, $submoduleID, $Name)
    {
        $sql = "SELECT `ChangeSubmoduleName`('$teacherID', '$submoduleID', '$Name') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	

	

    
    public function swapModuleOrder($teacherID, $moduleID1, $moduleID2)
    {
        $sql = "SELECT `SwapModuleOrder`('$teacherID', '$moduleID1', '$moduleID2') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	
    public function swapSubmoduleOrder($teacherID, $submoduleID1, $submoduleID2)
    {
        $sql = "SELECT `SwapSubmoduleOrder`('$teacherID', '$submoduleID1', '$submoduleID2') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    public function changeSubmoduleMaxAndControl($teacherID, $SubmoduleID, $MaxRate, $ControlType) 
    {
        $sql = "SELECT `ChangeSubmoduleMaxAndControl`('$teacherID', '$SubmoduleID', '$MaxRate', '$ControlType') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	


	
	
    public function getDisciplineInfoByID($discipline_id)
    {
        $sql = "CALL `GetDisciplineInfoByID`('$discipline_id'); ";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    public function getMapForDiscipline($teacherID, $disciplineID)
    {
        $sql = "CALL `getMapForDiscipline`('$teacherID', '$disciplineID'); ";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	



    public function addDiscipline($teacherID, $Grade, $SubjectID, $ExamType, $LectionCount, $PracticeCount, $LabCount, $DepartmentID)
    {
        $sql = "SELECT `AddDiscipline`('$teacherID', '$Grade', '$SubjectID', '$ExamType', '$LectionCount', '$PracticeCount', '$LabCount', '$DepartmentID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function changeDisciplineSubject($teacherID, $DisciplineID, $SubjectID)
    {
        $sql = "SELECT `ChangeDisciplineSubject`('$teacherID', '$DisciplineID', '$SubjectID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function changeDisciplineGrade($teacherID, $DisciplineID, $Grade)
    {
        $sql = "SELECT `ChangeDisciplineGrade`('$teacherID', '$DisciplineID', '$Grade') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function changeDisciplineControl($teacherID, $DisciplineID, $Control)
    {
        $sql = "SELECT `ChangeDisciplineControl`('$teacherID', '$DisciplineID', '$Control') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function changeDisciplineHours($teacherID, $DisciplineID, $Hours, $Type)
    {
        $sql = "SELECT `ChangeDisciplineHours`('$teacherID', '$DisciplineID', '$Hours', '$Type') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    public function deleteDiscipline($AuthorID, $DisciplineID)
    {
        $sql = "SELECT `DeleteDiscipline`('$AuthorID', '$DisciplineID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }


    public function bindGroup($teacherID, $DisciplineID, $StudyGroupID)
    {
        $sql = "SELECT `BindGroup`('$teacherID', '$DisciplineID', '$StudyGroupID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function unbindGroup($teacherID, $DisciplineID, $StudyGroupID)
    {
        $sql = "SELECT `UnbindGroup`('$teacherID', '$DisciplineID', '$StudyGroupID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function bindStudent($teacherID, $DisciplineID, $StudentID)
    {
        $sql = "SELECT `BindStudent`('$teacherID', '$DisciplineID', '$StudentID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function UnbindStudent($teacherID, $DisciplineID, $StudentID)
    {
        $sql = "SELECT `UnbindStudent`('$teacherID', '$DisciplineID', '$StudentID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function bindTeacher($AccessedTeacher, $BindingTeacher, $DisciplineID)
    {
        $sql = "SELECT `BindTeacher`('$AccessedTeacher', '$BindingTeacher', '$DisciplineID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }
    
    public function unbindTeacher($AccessedTeacher, $BindingTeacher, $DisciplineID)
    {
        $sql = "SELECT `UnbindTeacher`('$AccessedTeacher', '$BindingTeacher', '$DisciplineID') AS `Num`;";
        return DB::query(Database::SELECT, $sql)->execute();
    }






    // // deprecated (moved in helpers)
    // public function searchTeachers($FacultyID, $DepartmentID, $Last, $First, $Second) {
    //     $sql = "CALL `SearchTeachers`('$FacultyID', '$DepartmentID', '$Last', '$First', '$Second'); ";
    //     return DB::query(Database::SELECT, $sql)->execute();
    // }
    
    // deprecated (moved in helpers)
    public function searchTeachers($FacultyID, $DepartmentID, $Name, $DisciplineID) {
        $sql = "CALL `SearchTeachers`('$FacultyID', '$DepartmentID', '$Name', '$DisciplineID'); ";
        return DB::query(Database::SELECT, $sql)->execute();
    }
	

}
